%define version 5.07
%define release 4mdk
%define Summary The GNU chess program

Summary:	%{Summary}
Name:		gnuchess
Version:	%{version}
Release:	%{release}
Source:		ftp://ftp.gnu.org/pub/gnu/chess/gnuchess-%{version}.tar.bz2
Group:		Games/Boards
URL:		http://www.gnu.org/software/chess/
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
License:	GPL
BuildRequires:	readline-devel
BuildRequires:	ncurses-devel
BuildRequires:	flex
Provides:	chessengine

%description
The gnuchess package contains the GNU chess program.  By default, GNUchess
uses a text-based interface.  Alternatively, GNUchess can be used
in conjunction with other GUI interface, thus serving as a chess engine.

You should install the gnuchess package if you would like to play chess on
your computer. If you'd like to use a graphical interface with GNUchess,
you'll also need to install other GUI interface, such as xboard.

%prep
%setup -q

%build
%configure2_5x	--bindir=%{_gamesbindir}
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc doc/README
%{_gamesbindir}/*

%changelog
* Thu Jul 15 2004 Abel Cheung <deaddog@deaddog.org> 5.07-4mdk
- Add back Provides, quite a few frontends can use alternative
  chess engine (crafty and sjeng being a notable example),
  though other packages need fixed requirement

* Tue Jul 13 2004 Michael Scherer <misc@mandrake.org> 5.07-3mdk 
- remove useless Provides

* Thu Dec 11 2003 Abel Cheung <deaddog@deaddog.org> 5.07-2mdk
- add missing buildrequires (thx Stefan's bot)

* Thu Nov 06 2003 Abel Cheung <deaddog@deaddog.org> 5.07-1mdk
- 5.07

* Wed Oct 15 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 5.06-3mdk
- remove menu item, stupid me..

* Mon Jul 07 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 5.06-2mdk
- move binary to %%{_Gamesbindir} (closes #4149)
- use %%make macro
- added menu item (used the strategy section icon since it's a chess board:)

* Thu Jun  5 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 5.06-1mdk
- new version

* Fri Mar  7 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 5.05-1mdk
- new version (fixes #2871)

* Wed Jul 24 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.04-2mdk
- rebuild for new readline

* Mon Apr  8 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 5.04-1mdk
- new version
- spec cleanup, use our macros
- fix no-url-tag
- fix obsolete-tag Copyright
- fix use-of-RPM_SOURCE_DIR
- fix update-menus-*

* Sat Aug 11 2001 Jesse Kuang <kjx@mandrakesoft.com> 4.0.pl80-6mdk
- rebuild for cooker

* Sat Sep 23 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 4.0.p180-5mdk
- BM
- macro's
- compress & strip files with spec helper
- use update_menus and clean_menus

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.pl80-4mdk
- automatically added BuildRequires

* Mon Apr 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 4.0.pl80-3mdk
- added menu files

* Thu Apr 06 2000 Christopher Molnar <molnarc@mandrakesoft.com> 4.0.pl80-2mdk
- changes in spec file for groups
- considered upgrading to version 5.00 (now renamed to chess-5.00)
- but this would have taken away some features (x, curses, etc).
  
* Wed Nov 10 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- update to 4.0pl80.
- provide chessprogram, don't require xboard.

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Mon Jan 23 1999 Michael Maher <mike@redhat.com>
- changed group name

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- rebuilt for 6.0, cleaned up spec file.

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 15 1998 Erik Troan <ewt@redhat.com>
- built against new ncurses

* Fri Oct 17 1997 Donnie Barnes <djb@redhat.com>
- BuildRoot'ed

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
